# IceGrid::LoadBalancingPolicy

## Overview

### class LoadBalancingPolicy

A base class for load balancing policies.

#### Derived Classes and Interfaces

AdaptiveLoadBalancingPolicy
OrderedLoadBalancingPolicy
RandomLoadBalancingPolicy
RoundRobinLoadBalancingPolicy

#### Used By

ReplicaGroupDescriptor::loadBalancing

## Data Members

### string nReplicas;

The number of replicas that will be used to gather the endpoints of a replica group.